---
title: "Retrieve Status of Rapyd Verify Application"
source_url: https://docs.rapyd.net/en/retrieve-status-of-rapyd-verify-application.html
lang: en
---

# Retrieve Status of Rapyd Verify Application

Retrieve the status of an application for verification of identity.

> **Note:**
>
> - The code samples include successful requests (200) and bad requests (400).
>
>   - For error messages that appear due to bad requests (400), see [General Errors](https://docs.rapyd.net/en/general-errors.md "General Errors").
>   - For information about unauthorized request (401) and other authentication errors, see [Troubleshooting Authentication and Authorization Errors](https://docs.rapyd.net/en/troubleshooting-authentication-and-authorization-errors.md "Troubleshooting Authentication and Authorization Errors").

### Parameters

### Request Path Parameters

- - application
  - ID of the application. String starting with **app_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - status
  - Status of the hosted page for the verification application. One of the following:

    - **NEW** - The hosted page was created.
    - **DON** - Done. The application was submitted.
    - **EXP** - The hosted page expired.

- /v1/verify/applications/status/:application

- Retrieve Application Status
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/verify/applications/status/app_0d460e42-d7c1-4c68-b5f0-744bdafd0402' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw ''
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "0211315e-7f0b-4ca1-9b63-1f373ae2c085"
      },
      "data": {
          "status": "NEW"
      }
  }
  ```

- Bad Request - Application Not Found
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/verify/applications/status/app_0d460e42d7c14c68b5f0744bdafd0402' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw ''
  ```
- ```json
  {
      "status": {
          "error_code": "ERROR_APPLICATION_NOT_FOUND",
          "status": "ERROR",
          "message": "The request attempted an operation on an application, but the application was not found. The request was rejected. Corrective action: Use the ID of a valid application.",
          "response_code": "ERROR_APPLICATION_NOT_FOUND",
          "operation_id": "9a439bf7-abc0-4213-bd90-73aaed1ce654"
      }
  }
  ```
